use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Train {
    pub rn: String,
    #[serde(rename = "destSt")]
    pub dest_st: String,
    #[serde(rename = "destNm")]
    pub dest_nm: String,
    #[serde(rename = "trDr")]
    pub tr_dr: String,
    #[serde(rename = "nextStaId")]
    pub next_sta_id: String,
    #[serde(rename = "nextStpId")]
    pub next_stp_id: String,
    #[serde(rename = "nextStaNm")]
    pub next_sta_nm: String,
    pub prdt: String,
    #[serde(rename = "arrT")]
    pub arrt: String,
    #[serde(rename = "isApp")]
    pub is_app: String,
    #[serde(rename = "isDly")]
    pub is_dly: String,
    pub flags: Option<String>,
    pub lat: String,
    pub lon: String,
    pub heading: String,
}
